Package org.eclipse.rdf4j.sail.shacl

## Class ConnectionsGroup

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ConnectionsGroup

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      @InternalUseOnly
      public class ConnectionsGroup
      extends Object
      implements Closeable

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `SailConnection` | `getAddedStatements()` |
    `SailConnection` | `getBaseConnection()` |
    `PlanNode` | `getCachedNodeFor​(PlanNode planNode)` |
    `SailConnection` | `getPreviousStateConnection()` |
    `RdfsSubClassOfReasoner` | `getRdfsSubClassOfReasoner()` |
    `SailConnection` | `getRemovedStatements()` |
    `Stats` | `getStats()` |
    `ShaclSailConnection.Settings` | `getTransactionSettings()` |
    `boolean` | `isExperimentalSparqlValidation()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPreviousStateConnection

          public SailConnection getPreviousStateConnection()

    - #### getAddedStatements

          public SailConnection getAddedStatements()

    - #### getRemovedStatements

          public SailConnection getRemovedStatements()

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`

    - #### getBaseConnection

          public SailConnection getBaseConnection()

    - #### getCachedNodeFor

          public PlanNode getCachedNodeFor​(PlanNode planNode)

    - #### getRdfsSubClassOfReasoner

          public RdfsSubClassOfReasoner getRdfsSubClassOfReasoner()

    - #### getStats

          public Stats getStats()

    - #### getTransactionSettings

          public ShaclSailConnection.Settings getTransactionSettings()

    - #### isExperimentalSparqlValidation

          public boolean isExperimentalSparqlValidation()